allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
size
size_type
string_t
swap
swap
swap
swap
type
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

size_type nlohmann::basic_json::erase | ( | const typename object_t::key_type & | key | ) |

inline

Removes elements from a JSON object with the key value key.

Parameters

  [in] | key | value of the elements to remove

Returns
  Number of elements removed. If ObjectType is the default `std::map` type, the return value will always be `0` (key was not found) or `1` (key was found).

Exceptions

  std::domain_error | when called on a type other than JSON object

Complexity
  `log(size()) + count(key)`

Example
  The example shows the effect of erase.
  #include <json.hpp>
  using namespace nlohmann;
  int main()
  {
  // create a JSON object
  json j_object = {{"one", 1}, {"two", 2}};
  // call erase
  auto count_one = j_object.erase("one");
  auto count_three = j_object.erase("three");
  // print values
  std::cout << j_object << '\n';
  std::cout << count_one << " " << count_three << '\n';
  }
  nlohmann::basic_json
  a class to store JSON values
  Definition: json.hpp:130
  nlohmann
  namespace for Niels Lohmann
  Definition: json.hpp:55
  nlohmann::basic_json::erase
  InteratorType erase(InteratorType pos)
  remove element given an iterator
  Definition: json.hpp:2831
  Output (play with this example online):

      {"two":2}
      1 0

  The example code above can be translated with

      g++ -std=c++11 -Isrc doc/examples/erase__key_type.cpp -o erase__key_type